
function parseCommandLine(str){
	var res=str.match(/(".+?("|$)|[^ 　]+)/g);
	if(res){
		for(var i=0;i<res.length;i++){
			res[i]=res[i].replace(/^\+/,'').replace(/^"(.*)"$/,'$1');
		}
	}
	return(res);
}
basedir=parseCommandLine(HTA.commandLine)[0].replace(/bin\\[^\\]*$/,'');


function init(){
	for(var i=0,a=Config.Site,l=a.length;i<l;i++){
		$('Sites').appendChild((new Element('option')).update(a[i].Name||'Nameが設定されていません('+i+')'));
	}
	loadSite(0);
	var cl=parseCommandLine(HTA.commandLine);
	if(cl.length>1){
		document.getElementsByTagName('input')[0].value=cl[1];
	}
}





function getSelectedSiteId(){
	return($('Sites').selectedIndex);
}


function loadSite(idx){
	var site=Config.Site[idx];
	if(site){
		if(site.Form){
			createForm(site.Form);
		}else if(site.TargetURL){
			loadTargetURL(site.TargetURL);
		}else{
			$('Form').update('TargetURL:<input type="text" value="" id="TargetURL" /><input type="button" value="決定" onclick="loadSelectedTargetURL()" />');
		}
	}
}

function loadSelectedTargetURL(){
	loadTargetURL($F('TargetURL'));
}

var selectedTargetURL='';
function loadTargetURL(url){
	selectedTargetURL=url;
	var site=Config.Site[getSelectedSiteId()];
	var html='';
	get(url).replace(/<form([^>]*)>(.*?)<\/form>/ig,function($0,$1,$2){
		if(!html && (!site.FormPattern|| ($0.indexOf(site.FormPattern)!=-1))){
			$1.replace(/method="?([^" >])/i,function($0,$1){
				html+='<input type="hidden" name="__method__" value="'+$1+'" />';
			}).replace(/action="?([^" >])/i,function($0,$1){
				html+='<input type="hidden" name="__action__" value="'+$1+'" />';
			});
			html+=$2.replace(/<input[^>]*type="?(button|submit)[^>]*>/i,'');
		}
	});
	
	if(html){
		html+='<input type="button" value="開始" onclick="execute()" />';
		$('Form').update(html);
	}else{
		$('Form').update("フォームが検出できませんでした");
	}
}



function createForm(obj){
	var html='';
	for(var i in obj){
		html+='<span style="width:120px">'+i+':</span>';
		
		if(obj[i]){
			html+='<textarea name="'+i+'" rows="4" cols="60"></textarea><br />';
		}else{
			html+='<input type="text" value="" name="'+i+'" size="60" /><br />';
		}
	}
	html+='<input type="button" value="開始" onclick="execute()" />';
	$('Form').update(html);
}




function execute(){
	var data={site:getSelectedSiteId(),Form:{},referer:selectedTargetURL,url:selectedTargetURL,method:'POST'};
	var inps=document.getElementsByTagName('input');
	for(var i=0,l=inps.length;i<l;i++){
		if(!inps[i].name){
		}else if(inps[i].name=='__method__'){
			data.method=inps[i].value;
		}else if(inps[i].name=='__action__'){
			data.url=inps[i].value;
		}else{
			data.Form[inps[i].name]=inps[i].value;
		}
	}
	var tas=document.getElementsByTagName('textarea');
	for(var i=0,l=tas.length;i<l;i++){
		if(tas[i].name){
			data.Form[tas[i].name]=$F(tas[i]);
		}
	}
	
	var sls=document.getElementsByTagName('select');
	for(var i=0,l=tas.length;i<l;i++){
		if(sls[i].name){
			data.Form[sls[i].name]=$F(sls[i]);
		}
	}
	
	var fn=basedir+"bin\\data"+(new Date).getTime()+".js";
	
	saveJSON(data,fn);
	
	$('Form').update('探索中...');
	(new ActiveXObject("WScript.Shell")).run('cmd /k ""'+basedir+'bin\\dm.exe" "'+basedir+'bin\\SearchExitNode.dms" "'+fn+'""',1,true);
	
}














